# Get Transaction Fees GET https://api.shipbob.com/2026-01/transaction-fees This endpoint returns a list of transaction fees Reference: https://developer.shipbob.com/api/billing/get-transaction-fees ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2026-01 version: 1.0.0 paths: /2026-01/transaction-fees: get: operationId: get-transaction-fees summary: | Get Transaction Fees description: | This endpoint returns a list of transaction fees tags: - subpackage_billing parameters: - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Billing.TransactionFeeModelV3' '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '500': description: Server Error content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: BillingTransactionFeeModelV3FeeListItems: type: string enum: - Shipping - Warehousing Fee - WRO Receiving Fee - Per Pick Fee - Affiliate - Others - Implementation Onboarding - URO Storage Fee - Package Intercept - Freight - Address Change - Return Label - Credit Reversal - Return Processed by Operations Fee - International Duties - GST/HST Tax - Return to sender - Processing Fees - Custom Pick Fees - Fragile Item - Serial Scan - Return Fee - VAS - Paid Requests - Shipper Manager - Merchant Success Specialist - WRO Label Fee - Gift Note Fee - International Taxes - Additonal Import Tax - Hazmat - Shipping Charge Correction - Account Closure Fee - Additional Billing Fees - Inventory Placement Program Fee - Address Correction - Credit Card Processing Fee - Kitting Fee - Delivery Area Surcharge - Minimum Fulfillment Fee - Long Term Storage Fee - Integration Services - Breakdown Case Fee - Residential Surcharge - Write Off - Custom Routing Fee - International Duties-Inbound - B2B - Label Fee - B2B - Cancellation Fee - B2B - Rush - B2B - Supplies - B2B - Disposal Fee - B2B - Order Fee - B2B - Each Pick Fee - B2B - Case Pick Fee - B2B - Pallet Pick Fee - B2B - Pallet Pack Fee - B2B - Pallet Material Charge - B2B - ShipBob Freight Fee - B2B - Fulfilment Fees - B2B - ASIN Fee - WMS Equipment Fees - WMS Monthly Fees - WMS Installation Fees - WMS - Fuel Surcharge - ITO - Rush - ITO - Supplies - ITO - Order Fee - ITO - Each Pick Fee - ITO - Case Pick Fee - ITO - Pallet Pick Fee - ITO - Pallet Pack Fee - ITO - ShipBob Freight Fee - B2B - Labor - Packaging Fee - Custom Packaging Pick Fee - Marketing Insert Pick Fee - Premium Gift Note - Standard Marketing Insert - Fully Customizable Gift Note - Fully Customizable Marketing Insert (4x6) - Fully Customizable Marketing Insert (8x6) - Fully Customizable Gift Note - Monthly - Fully Customizable Marketing Insert - Monthly - Custom Doc Printer Purchase Fee - WMS Merchants - FlavorCloud Service Fee - B2C order processing fee - Shipbob Freight Fee - Accessorial - EDI Connection Fee - Return Item Processing Fee title: BillingTransactionFeeModelV3FeeListItems Billing.TransactionFeeModelV3: type: object properties: fee_list: type: - array - 'null' items: $ref: '#/components/schemas/BillingTransactionFeeModelV3FeeListItems' description: Available transaction fee types for billing operations. description: Response model containing available transaction fee types. title: Billing.TransactionFeeModelV3 securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token or OAuth2 ``` ## SDK Code Examples ```python Billing_getTransactionFees_example import requests url = "https://api.shipbob.com/2026-01/transaction-fees" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Billing_getTransactionFees_example const url = 'https://api.shipbob.com/2026-01/transaction-fees'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Billing_getTransactionFees_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/transaction-fees" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Billing_getTransactionFees_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/transaction-fees") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Billing_getTransactionFees_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/transaction-fees") .header("Authorization", "Bearer ") .asString(); ``` ```php Billing_getTransactionFees_example request('GET', 'https://api.shipbob.com/2026-01/transaction-fees', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Billing_getTransactionFees_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/transaction-fees"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Billing_getTransactionFees_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/transaction-fees")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```